vim.opt.autoindent = true
vim.opt.background = "dark"
vim.opt.backspace = {"indent", "eol", "start"}
vim.opt.encoding = "utf-8"
vim.opt.expandtab = true
vim.opt.hidden = true
vim.opt.hlsearch = true
vim.opt.ignorecase = true
vim.opt.incsearch = true
vim.opt.laststatus = 2
vim.opt.lbr = true
vim.opt.modelines = 0
vim.opt.mouse = "a"
vim.opt.compatible = false
vim.opt.modeline = false
vim.opt.number = true
vim.opt.numberwidth = 4
vim.opt.scrolloff = 5
vim.opt.shiftwidth = 4
vim.opt.sidescrolloff = 10
vim.opt.smartcase = true
vim.opt.softtabstop = 4
vim.opt.splitbelow = true
vim.opt.splitright = true
vim.opt.tabstop = 4
vim.opt.ttimeoutlen = 50
vim.opt.undofile = true
vim.opt.undolevels = 1000
vim.opt.undoreload = 10000
vim.opt.wildmenu = true
vim.opt.termguicolors = true
vim.opt.wildmode = {"longest", "list"}
vim.g.mapleader = ","
vim.g.python_highlight_all = 1
vim.wo.signcolumn = "number"
vim.g.rooter_patterns = {".git", "Makefile", "CMakeLists.txt", "build/"}
vim.g.rooter_silent_chdir = 1

-- Tab for completion
vim.g.SuperTabContextDefaultCompletionType = "<c-n>"
vim.g.SuperTabDefaultCompletionType = "<c-n>"

-- VimWiki
vim.g.vimwiki_key_mappings = { table_mappings = 0 }
vim.g.vimwiki_markdown_link_ext = 1

-- Vimtex
vim.g.tex_flavor = 'latex'
